tools

# Class: MyCustomExporter Source Location: /lib/export.inc
### Class Overview
    PlaAbstractExporter
       |
       --PlaExporter
          |
          --MyCustomExporter
| ### Methods export MyCutsomExporter
### Inherited Variables #### Class: PlaExporter PlaExporter::$br PlaExporter::$exporter | ### Inherited Methods #### Class: PlaExporter PlaExporter::PlaExporter() Constructor PlaExporter::export() Abstract method use to export data. PlaExporter::is_safe_ascii() Helper method to check if the attribute value should be base 64 encoded. PlaExporter::pla_fetch_entry_array() Return the entry as an array PlaExporter::pla_fetch_entry_object() Return the entry as an Entry object PlaExporter::pla_get_ldap_info() Return a PlaLdapInfo Object PlaExporter::pla_has_entry() Return true if there is some more entries to be processed PlaExporter::pla_num_entries() Return the number of entries PlaExporter::setOutputFormat() Set the carriage return /linefeed for the export #### Class: PlaAbstractExporter PlaAbstractExporter::pla_fetch_entry_array() Return the entry as an array PlaAbstractExporter::pla_fetch_entry_object() Return the entry as an Entry object PlaAbstractExporter::pla_get_ldap_info() Return a PlaLdapInfo Object PlaAbstractExporter::pla_has_entry() Return true if there is some more entries to be processed PlaAbstractExporter::pla_num_entries() Return the number of entries
### Class Details [line 792] [ Top ] ### Class Methods ### method export [line 804]
`void export( )`
When doing an exporter, the method export need to be overriden. A basic implementation is provided here. Customize to your need Overrides PlaExporter::export() (Abstract method use to export data.) [ Top ] ### method MyCutsomExporter [line 794]
`void MyCutsomExporter( $exporter)`
#### Parameters:
| $exporter |
[ Top ] Documentation generated on Thu, 07 Feb 2008 20:26:26 +0100 by phpDocumentor 1.4.0